from django import template
from django.contrib import admin

from ..serializers import AdminTrackSerializer

register = template.Library()

@register.simple_tag(name='get_admin_tools')
def do_get_admin_tools():
    return admin.site.get_tools()


@register.filter(name='serialize_track')
def do_serialize_track(instance):
    ser = AdminTrackSerializer(instance=instance)
    return ser.data
